#include <msp/core/maputils.h>
#include "logic.h"

using namespace std;

namespace Msp {
namespace GLtk {

Logic::Loader::Loader(Logic &l, const map<string, Widget *> &w):
	DataFile::ObjectLoader<Logic>(l),
	widgets(w)
{
	add("bind", &Loader::bind);
}

void Logic::Loader::bind(const string &wdg, const string &data)
{
	WidgetBinding act;
	act.wdg = get_item(widgets, wdg);

	string::size_type colon = data.find(':');
	act.type = data.substr(0, colon);
	if(colon!=string::npos)
		act.data = data.substr(colon+1);
	obj.bindings.push_back(act);
}

} // namespace GLtk
} // namespace Msp
